#pragma once
#include <map>
struct M_ActivityMonsterItemWeightCFGData
{
	//编号
	int mId;
	//道具名称
	std::string mItemName;
	//道具ID
	int mItemId;
	//权重
	int mWeight;
};

class M_ActivityMonsterItemWeightCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMonsterItemWeightCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMonsterItemWeightCFGData* GetData(int Id);
	const std::map<int, M_ActivityMonsterItemWeightCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityMonsterItemWeightCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityMonsterItemWeightCFGData> mMapData;
};
